Subject: Re: [APPS-REVIEW] Request for reviews of draft-duerst-mailto-bis-07.txt
From: Eliot Lear <[email-masked]>
To: Alexey Melnikov <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 30 Nov 2009 14:08:15 +0100
List-Id: Applications Review List <apps-review.ietf.org>

Alexey,

You asked for a review of draft-duerst-mailto-bis-07.txt.  I'm taking a 
few moments to comment, but I don't have time for a full review, as your 
document is in front of it ;-)

Overall my only real question is this (not even a concern at this point):

Apart from Bcc, is this change opaque to legacy implementations?  It 
seems so, but perhaps I'm not thinking right.

Nits?:

In Section 2, there's a lot of non-normative language that should be 
normative, IMHO.  For example:

>   1.  A number of characters that can appear in <addr-spec> have to be
>        percent-encoded.

s/have to/MUST/

Similarly:

>    2. <obs-local-part> and <NO-WS-CTL> as defined in [RFC5322] are not
>        allowed.

s/are not allowed/MUST NOT be used/.

And of course directly below it:

>    3.  Whitespace and comments within <local-part> and <domain> are not
>        allowed.
s/are not allowed/MUST NOT be used/.

Martin wrote:

>
>> Implementations SHOULD NOT produce two "To:" header fields in a
>> message; the "To:" header field may occur at most once in a message
>> ([RFC5322], Section 3.6). Also, creators of 'mailto' URIs SHOULD NOT
>> include other message header fields multiple times if these header
>> fields can only be used once in a message.
>>
>>
> Any reasons why these SHOULD NOTs are not MUST NOTs?
>
> Not being a mail expert, I have no experience on what goes wrong if 
> these restrictions are not met. If you think a MUST is more 
> appropriate, that's fine with me.

IMHO MUST is appropriate.  That table is meant to be normative.  The 
usual rule "be conservative.. be liberal.." also implies this should be 
a MUST, and I can tell you that spam catching software will prefer 
conservative.

Eliot

Date: Sat, 28 Nov 2009 14:41:03 +0000
From: Alexey Melnikov <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: [APPS-REVIEW] Request for reviews of draft-duerst-mailto-bis-07.txt

I've just sent draft-duerst-mailto-bis-07.txt to IETF LC. I think the 
document is ready, but I would appreciate extra reviews, especially from 
URI experts.

Date: Sun, 22 Nov 2009 19:09:26 +0000
From: Alexey Melnikov <[email-masked]>
To: Peter Saint-Andre <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [APPS-REVIEW] Request for early review: draft-ietf-vcarddav-vcardxml-01.txt

Peter Saint-Andre wrote:

>On 11/22/09 11:13 AM, Alexey Melnikov wrote:
>  
>
>>I would like to request early review of
>><http://tools.ietf.org/html/draft-ietf-vcarddav-vcardxml-01>, in
>>particular from somebody with XML expertise.
>>    
>>
>Hi Alexey,
>  
>
Hi Peter,

>I poked Joe Hildebrand about this off the list, but he was offline last
>week. I'll ping him IRL this week to see if he has time for a review,
>but reviews by others would be useful as well.
>  
>
Indeed. I know that you and Joe are likely to review this anyway, so I 
am asking for yet another reviewer.

Date: Sun, 22 Nov 2009 11:18:25 -0700
From: Peter Saint-Andre <[email-masked]>
To: Alexey Melnikov <[email-masked]>
OpenPGP: url=http://www.saint-andre.com/me/stpeter.asc
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [APPS-REVIEW] Request for early review:	draft-ietf-vcarddav-vcardxml-01.txt

This is a cryptographically signed message in MIME format.

--------------ms020601070405090507010806
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

On 11/22/09 11:13 AM, Alexey Melnikov wrote:
> I would like to request early review of
> <http://tools.ietf.org/html/draft-ietf-vcarddav-vcardxml-01>, in
> particular from somebody with XML expertise.

Hi Alexey,

I poked Joe Hildebrand about this off the list, but he was offline last
week. I'll ping him IRL this week to see if he has time for a review,
but reviews by others would be useful as well.

Peter

--------------ms020601070405090507010806
Content-Type: application/x-pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature

--------------ms020601070405090507010806--

Date: Sun, 22 Nov 2009 18:13:07 +0000
From: Alexey Melnikov <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: [APPS-REVIEW] Request for early review: draft-ietf-vcarddav-vcardxml-01.txt

I would like to request early review of 
<http://tools.ietf.org/html/draft-ietf-vcarddav-vcardxml-01>, in 
particular from somebody with XML expertise.

Thanks,
Alexey

Date: Wed, 18 Nov 2009 19:57:58 -0700
From: Peter Saint-Andre <[email-masked]>
To: =?UTF-8?B?Ik1hcnRpbiBKLiBEw7xyc3Qi?= <[email-masked]>
OpenPGP: url=http://www.saint-andre.com/me/stpeter.asc
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [APPS-REVIEW] [Fwd: Last Call: draft-cheshire-dnsext-multicastdns (Multicast DNS) to Informational RFC]

This is a cryptographically signed message in MIME format.

--------------ms090004000805060706090904
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

The IETF Last Call ends on 2009-12-16, so I think that would be the
apps-review deadline as well. Thanks for volunteering to review it.

On 11/18/09 6:21 PM, Martin J. D=C3=BCrst wrote:
> I plan to read it anyway, so I can as well do a review. What's the
> deadline?
>=20
> Regards,   Martin.
>=20
> On 2009/11/19 2:51, Peter Saint-Andre wrote:
>> Any volunteers to review this? It's informational, but it's probably o=
f
>> interest to folks here (I seem to recall a presentation about it durin=
g
>> the Apps Area general meeting at IETF ~74).
>>
>> /psa
>>
>>
>> -------- Original Message --------
>> Subject: Last Call: draft-cheshire-dnsext-multicastdns (Multicast DNS)=

>> to    Informational RFC
>> Date: Wed, 18 Nov 2009 06:07:17 -0800 (PST)
>> From: The IESG<[email-masked]>
>> Reply-To: [email-masked]
>> To: IETF-Announce<[email-masked]>
>>
>> The IESG has received a request from an individual submitter to consid=
er
>> the following document:
>>
>> - 'Multicast DNS '
>>     <draft-cheshire-dnsext-multicastdns-08.txt>  as an Informational R=
FC
>>
>> The IESG plans to make a decision in the next few weeks, and solicits
>> final comments on this action.  Please send substantive comments to th=
e
>> [email-masked] mailing lists by 2009-12-16. Exceptionally,
>> comments may be sent to [email-masked] instead. In either case, please
>> retain the beginning of the Subject line to allow automated sorting.
>>
>> The file can be obtained via
>> http://www.ietf.org/internet-drafts/draft-cheshire-dnsext-multicastdns=
-08.txt
>>
>>
>>
>> IESG discussion can be tracked via
>> https://datatracker.ietf.org/public/pidtracker.cgi?command=3Dview_id&d=
Tag=3D7426&rfc_flag=3D0
>>
>>
>> _______________________________________________
>> IETF-Announce mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ietf-announce
>>
>>

--------------ms090004000805060706090904
Content-Type: application/x-pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature

--------------ms090004000805060706090904--

Date: Thu, 19 Nov 2009 10:21:23 +0900
From: =?UTF-8?B?Ik1hcnRpbiBKLiBEw7xyc3Qi?= <[email-masked]>
Organization: Aoyama Gakuin University
To: Peter Saint-Andre <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [APPS-REVIEW] [Fwd: Last Call: draft-cheshire-dnsext-multicastdns (Multicast DNS) to	Informational RFC]

I plan to read it anyway, so I can as well do a review. What's the deadline?

Regards,   Martin.

On 2009/11/19 2:51, Peter Saint-Andre wrote:
> Any volunteers to review this? It's informational, but it's probably of
> interest to folks here (I seem to recall a presentation about it during
> the Apps Area general meeting at IETF ~74).
>
> /psa
>
>
> -------- Original Message --------
> Subject: Last Call: draft-cheshire-dnsext-multicastdns (Multicast DNS)
> to	Informational RFC
> Date: Wed, 18 Nov 2009 06:07:17 -0800 (PST)
> From: The IESG<[email-masked]>
> Reply-To: [email-masked]
> To: IETF-Announce<[email-masked]>
>
> The IESG has received a request from an individual submitter to consider
> the following document:
>
> - 'Multicast DNS '
>     <draft-cheshire-dnsext-multicastdns-08.txt>  as an Informational RFC
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send substantive comments to the
> [email-masked] mailing lists by 2009-12-16. Exceptionally,
> comments may be sent to [email-masked] instead. In either case, please
> retain the beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-cheshire-dnsext-multicastdns-08.txt
>
>
> IESG discussion can be tracked via
> https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=7426&rfc_flag=0
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
>
>
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> APPS-REVIEW mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-review

-- 
#-# Martin J. Dürst, Professor, Aoyama Gakuin University
#-# http://www.sw.it.aoyama.ac.jp   mailto:[email-masked]

Date: Wed, 18 Nov 2009 10:51:05 -0700
From: Peter Saint-Andre <[email-masked]>
To: "[email-masked]" <[email-masked]>
OpenPGP: url=http://www.saint-andre.com/me/stpeter.asc
Subject: [APPS-REVIEW] [Fwd: Last Call: draft-cheshire-dnsext-multicastdns (Multicast DNS) to	Informational RFC]

This is a cryptographically signed message in MIME format.

--------------ms010202000700050808010804
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

Any volunteers to review this? It's informational, but it's probably of
interest to folks here (I seem to recall a presentation about it during
the Apps Area general meeting at IETF ~74).

/psa

-------- Original Message --------
Subject: Last Call: draft-cheshire-dnsext-multicastdns (Multicast DNS)
to	Informational RFC
Date: Wed, 18 Nov 2009 06:07:17 -0800 (PST)
From: The IESG <[email-masked]>
Reply-To: [email-masked]
To: IETF-Announce <[email-masked]>

The IESG has received a request from an individual submitter to consider
the following document:

- 'Multicast DNS '
   <draft-cheshire-dnsext-multicastdns-08.txt> as an Informational RFC

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send substantive comments to the
[email-masked] mailing lists by 2009-12-16. Exceptionally,
comments may be sent to [email-masked] instead. In either case, please
retain the beginning of the Subject line to allow automated sorting.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-cheshire-dnsext-multicastdns-08.txt

IESG discussion can be tracked via
https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=7426&rfc_flag=0

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-announce

--------------ms010202000700050808010804
Content-Type: application/x-pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature

--------------ms010202000700050808010804--

Date: Fri, 06 Nov 2009 01:29:21 +0000
From: Alexey Melnikov <[email-masked]>
To: Peter Saint-Andre <[email-masked]>
Cc: [email-masked]
Subject: Re: [APPS-REVIEW] [Fwd: Review of metalink I-D]

Peter Saint-Andre wrote:
> On 10/30/09 3:09 PM, SM wrote:
>   
>> At 13:21 30-10-2009, Peter Saint-Andre wrote:
>>     
>>> Is there a straightforward way to discover the document shepherd? I
>>> don't see that information listed in the datatracker, but I might be
>>> missing something.
>>>       
>> You can use https://datatracker.ietf.org/idtracker/  I'll use Lisa's I-D
>> as an example.
>> https://datatracker.ietf.org/idtracker/draft-dusseault-http-patch/
>> mentions the responsible I-D and the Document Shepherd.
>>     
> Aha, I had ended up at
> https://datatracker.ietf.org/drafts/draft-dusseault-http-patch/ instead
> of https://datatracker.ietf.org/idtracker/draft-dusseault-http-patch/
>   
IESG agreed that the short Note field in the ID-tracker should list the 
shepherd, if known. One of the URLs that you've mentioned can be used to 
find it.